Name:           perl-HTTP-Server-Simple
Version:        0.52
Release:    2%{?dist}
Summary:        Very simple standalone HTTP daemon
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Server-Simple
Source0:        https://cpan.metacpan.org/modules/by-module/HTTP/HTTP-Server-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(lib)
BuildRequires:  sed
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI)
BuildRequires:  perl(Config)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(CGI)
Requires:       perl(POSIX)

%description
HTTP::Server::Simple is a very simple standalone HTTP daemon with no non-core
module dependencies.  It's ideal for building a standalone http-based UI to
your existing tools.


%prep
%setup -q -n HTTP-Server-Simple-%{version}

rm -rvf inc/
sed -i -e '/^inc\// d' MANIFEST

chmod -c a-x lib/HTTP/Server/*.pm

perl -pi -e 's|^#!perl\b|#!%{__perl}|' ex/sample_server


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc Changes README ex/
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/HTTP::Server::Simple.3*
%{_mandir}/man3/HTTP::Server::Simple::CGI.3*
%{_mandir}/man3/HTTP::Server::Simple::CGI::Environment.3*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.52-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52-1
- initial build
